Skip to navigation

Post Consumed Parts

View as Markdown

Records a quantity of a part as consumed on a work order task, for users who can start that task (managers of the work order, users assigned to the work order or task, or members of its location), provided the organisation’s plan includes parts.

Authentication

AuthorizationBearer

OAuth 2.0 Client Credentials Flow. To obtain an access token:

  1. Request API credentials from HINDSITE support to receive your client_id and client_secret

  2. Make a POST request to obtain an access token:

POST https://app.hindsiteind.com/oauth/token
Content-Type: application/x-www-form-urlencoded

grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET
  1. The response will contain your access token:
{
  "access_token": "your_access_token_here",
  "token_type": "Bearer",
  "expires_in": 7200,
  "created_at": 1234567890
}
  1. Include the token in subsequent API requests:
Authorization: Bearer your_access_token_here

Request

This endpoint expects an object.
work_order_task_idstringRequired
ULID of the work order task the part was consumed on
part_idstringRequired
ULID of the part consumed
quantityintegerRequired0-1999999999
How many units of the part were consumed

Response

created ConsumedPart
idstringOptional
ULID
partobjectOptional
quantityintegerOptional
work_order_task_idstringOptional
ULID
planned_partobjectOptional
created_atlongOptional

Unix timestamp (seconds since epoch) when the record was created

updated_atlongOptional

Unix timestamp (seconds since epoch) when the record was last updated

Errors

400
Bad Request Error
402
Payment Required Error
403
Forbidden Error
422
Unprocessable Entity Error